

kill ppc64 unused var warning



 ppc64/kernel/time.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN arch/ppc64/kernel/time.c~ppc64-time-warning arch/ppc64/kernel/time.c
--- 25-power4/arch/ppc64/kernel/time.c~ppc64-time-warning	2003-02-10 23:22:45.000000000 -0800
+++ 25-power4-akpm/arch/ppc64/kernel/time.c	2003-02-10 23:22:45.000000000 -0800
@@ -267,7 +267,6 @@ int timer_interrupt(struct pt_regs * reg
 	unsigned long cur_tb;
 	struct paca_struct *lpaca = get_paca();
 	unsigned long cpu = lpaca->xPacaIndex;
-	struct ItLpQueue * lpq;
 
 	irq_enter();
 
@@ -301,9 +300,11 @@ int timer_interrupt(struct pt_regs * reg
 	set_dec(next_dec);
 
 #ifdef CONFIG_PPC_ISERIES
-	lpq = lpaca->lpQueuePtr;
-	if (lpq && ItLpQueue_isLpIntPending(lpq))
-		lpEvent_count += ItLpQueue_process(lpq, regs); 
+	{
+		struct ItLpQueue *lpq = lpaca->lpQueuePtr;
+		if (lpq && ItLpQueue_isLpIntPending(lpq))
+			lpEvent_count += ItLpQueue_process(lpq, regs);
+	}
 #endif
 
 	irq_exit();

_
